Ticket #44595

Sanity check research->techs_researched from savegame

Date d'ouverture: 2022-05-14 23:20 Dernière mise à jour: 2022-06-13 22:15

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
3

Détails

We should sanity check research->techs_researched loaded from the savegame. We could also completely drop it from the savegame, and just use the recalculated value (which we need to do anyway when savegame value differs from it, i.e., when the sanity check fails).

This was inspired by debugging of #44594.

Ticket History (3/9 Histories)

2022-05-14 23:20 Updated by: cazfi
  • New Ticket "Sanity check research->techs_researched from savegame" created
2022-05-15 14:07 Updated by: cazfi
Commentaire

Reply To cazfi

We could also completely drop it from the savegame

-> #44610

2022-05-26 06:27 Updated by: cazfi
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Aucun to Accepted
  • Jalon Update from (Aucun) to 3.0.2 (atteints)
2022-05-31 21:06 Updated by: cazfi
Commentaire

There's some arguments against including this to 3.0.2 already:

- S3_0 is known to cause the count to go wrong during regular run - we would be a bit inconsistent in fixing that when ever one continues from a saved game but otherwise not to care. Has also the "spam factor" of failed sanity checks
- Introduces a new translatable string. We are not in formal string freeze yet, but I would shun further string changes anyway

Maybe push this to master and S3_1 first (esp. as this blocks #44594 - making debugging the actual problems harder), but to S3_0 only after 3.0.2 release, with the assumption that by 3.0.3 there will be progress in fixing the root causes.

2022-06-01 22:13 Updated by: cazfi
Commentaire

There's some arguments against including this to 3.0.2 already:

- S3_0 is known to cause the count to go wrong during regular run - we would be a bit inconsistent in fixing that when ever one continues from a saved game but otherwise not to care. Has also the "spam factor" of failed sanity checks
- Introduces a new translatable string. We are not in formal string freeze yet, but I would shun further string changes anyway

Maybe push this to master and S3_1 first (esp. as this blocks #44594 - making debugging the actual problems harder), but to S3_0 only after 3.0.2 release, with the assumption that by 3.0.3 there will be progress in fixing the root causes.

2022-06-13 22:15 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion